> ## Documentation Index
> Fetch the complete documentation index at: https://docs.telemetree.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Application Config



## OpenAPI

````yaml https://ebn.telemetree.io/public-api/openapi.json get /v1/client/config
openapi: 3.1.0
info:
  title: Telemetree API
  description: Telemetree Public API endpoints.
  termsOfService: https://docs.telemetree.io/essentials/terms-of-service
  contact:
    name: Chris
    url: https://t.me/telemetree_referral
    email: chris@telemetree.io
  version: 1.0.0
servers:
  - url: https://ebn.telemetree.io/public-api
security: []
paths:
  /v1/client/config:
    get:
      tags:
        - Telemetree Data Pipeline
      summary: Get Application Config
      operationId: Get_application_config_v1_client_config_get
      parameters:
        - name: project
          in: query
          required: true
          schema:
            type: string
            title: Project
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApplicationConfigResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Application-ID: []
components:
  schemas:
    ApplicationConfigResponse:
      properties:
        auto_capture:
          type: boolean
          title: Auto Capture
          default: true
        auto_capture_tags:
          items:
            type: string
          type: array
          title: Auto Capture Tags
          default:
            - a
            - button
        auto_capture_classes:
          items:
            type: string
          type: array
          title: Auto Capture Classes
          default: []
        auto_capture_mini_app_events:
          items:
            $ref: '#/components/schemas/MiniAppEventType'
          type: array
          title: Auto Capture Mini App Events
          default: []
        auto_capture_commands:
          items:
            type: string
          type: array
          title: Auto Capture Commands
          default: []
        auto_capture_messages:
          items:
            type: string
          type: array
          title: Auto Capture Messages
          default: []
        auto_capture_telegram:
          type: boolean
          title: Auto Capture Telegram
          default: false
        auto_capture_telegram_events:
          items:
            $ref: '#/components/schemas/TelegramEventType'
          type: array
          title: Auto Capture Telegram Events
          default: []
        advanced_tracking_features:
          items:
            $ref: '#/components/schemas/AdvancedTrackingFeature'
          type: array
          title: Advanced Tracking Features
          default: []
        host:
          type: string
          title: Host
          default: https://gcs-pipeline.telemetree.io/v1/client/events
        public_key:
          type: string
          title: Public Key
      type: object
      required:
        - public_key
      title: ApplicationConfigResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MiniAppEventType:
      type: string
      enum:
        - MainButtonPressed
        - SettingsButtonPressed
        - InvoiceClosed
        - PopupClosed
        - QRCodeScanned
        - ClipboardChanged
        - WriteAccessGranted
        - WriteAccessRejected
        - WriteAccessRequested
        - ContactRequestAccepted
        - ContactRequestRejected
        - ContactRequestSent
        - WalletConnected
      title: MiniAppEventType
      description: Enum for event types.
    TelegramEventType:
      type: string
      enum:
        - inline_query
        - chosen_inline_result
        - message
        - edited_message
        - shipping_query
        - pre_checkout_query
        - callback_query
        - channel_post
        - edited_channel_post
        - message_reaction
        - poll
        - poll_answer
        - my_chat_member
        - chat_member
        - chat_join_request
        - chat_boost
        - removed_chat_boost
        - message_reaction_count
        - bot_blocked
        - bot_unblocked
      title: TelegramEventType
      description: Telegram Event Type Enum.
    AdvancedTrackingFeature:
      type: string
      enum:
        - channel_events_tracking
        - wallet_connected
        - post_schedule_analytics
        - post_comments_analytics
      title: AdvancedTrackingFeature
      description: Enum for advanced tracking features.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Application-ID:
      type: apiKey
      in: header
      name: Authorization

````